Subject: bug#43557: 28.0.50; Please document which objects are mutable and which are not

From: Dmitry Gutov <[email-masked]>
Date: Fri, 4 Jun 2021 16:26:02 +0300

Hi Stefan,

On 03.06.2021 17:41, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> Mutability says whether it is*possible*, rather than whether it's
> *allowed*.  Most (all?) cons cells are mutable, but it is strongly
> recommended to refrain from mutating most cons cells (because it
> can/will have unexpected consequences because that same cons cell is
> also used elsewhere).

See bug#40671 (and the lengthy argument in there) to know how this term 
in the Emacs manual came to mean something else than it usually means.